## ros-noetic-visualization-tutorials 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(visualization_tutorials)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-visualization-tutorials (0.11.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-visualization-tutorials (0.10.4-1focal) focal; urgency=high

  * Updated required CMake version to avoid CMP0048 warning (#57 <https://github.com/ros-visualization/visualization_tutorials/issues/57>)
  * Contributors: Alejandro Hernández Cordero

 -- William Woodall <william@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-visualization-tutorials (0.10.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 09 May 2018 07:00:00 -0000

ros-noetic-visualization-tutorials (0.10.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 05 Jan 2018 08:00:00 -0000

ros-noetic-visualization-tutorials (0.10.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-noetic-visualization-tutorials (0.10.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-noetic-visualization-tutorials (0.9.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 21 Sep 2015 07:00:00 -0000

ros-noetic-visualization-tutorials (0.9.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 26 Jan 2015 08:00:00 -0000

ros-noetic-visualization-tutorials (0.9.0-1focal) focal; urgency=high

  * set myself (william) as maintainer
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 24 Mar 2014 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-visualization-tutorials
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/visualization_tutorials
Standards-Version: 3.9.2

Package: ros-noetic-visualization-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-interactive-marker-tutorials, ros-noetic-librviz-tutorial, ros-noetic-rviz-plugin-tutorials, ros-noetic-rviz-python-tutorial, ros-noetic-visualization-marker-tutorials
Description: Metapackage referencing tutorials related to rviz and visualization.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-visualization-tutorials//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
